<template>
  <div>
    <div class="trunk block-header">
      <div class="header-left">
        <div class="header-content">
          <h1 class="heading heading--lg heading--white">
            {{ $t('subscriptionOffers.header.title') }}
          </h1>
          <br />
          <div class="header-cta">
            <h2 class="heading--md">
              {{ $t('subscriptionOffers.header.card.title') }}
            </h2>
            <br />
            <br />
            <p
              class="text--lg text--bold text--tertiary"
              style="font-size: 2.2rem; margin-left: 20px"
              v-html="prettifyName(subscription.name)"
            ></p>
            <br />

            <div class="default-subscription-price">
              <p
                class="text--lg text--bold"
                v-html="
                  `${subscription.priceHtml}/${$t('common.generic_month')}`
                "
              ></p>
              <span class="badge-free text--bold text--secondary">{{
                $t('subscriptionOffers.header.card.freeMonth')
              }}</span>
            </div>
            <br />
            <br />
            <a href="#subscriptionOffersTab" class="button button_full">
              {{ $t('subscriptionOffers.header.card.btn') }}
            </a>
          </div>
        </div>
      </div>
      <div class="header-right">
        <img
          :src="
            require(`~/assets/images/subscription/img-subscription-header-desktop-${this.$i18n.locale}.png`)
          "
          alt="header-desktop"
          title="header-desktop"
        />
      </div>
    </div>
  </div>
</template>

<script>
export default {
  name: 'HeaderDesktop',
  props: {
    subscription: {
      type: Object,
      required: true
    }
  },
  methods: {
    prettifyName: function (name) {
      return `izneo <strong> ${name.replace('izneo ', '')}</strong>`
    }
  }
}
</script>

<style lang="scss" scoped>
.block-header {
  margin-top: 2rem;
  height: 100%;
  display: flex;

  .header-left {
    width: 60%;

    .header-content {
      height: 80%;
      background-color: #272626;
      margin: 57px 0;
      padding: 50px;
      h1 {
        font-size: 60px;
        line-height: 1;
      }
      .header-cta {
        background-color: white;
        width: 400px;
        box-shadow: 0 5px 10px 0 rgba(0, 0, 0, 0.1);
        border-radius: 4px;
        position: absolute;
        bottom: 10px;
        padding: 40px;
        h2 {
          line-height: 1.2;
          font-size: 1.525rem;
          text-align: center;
        }
        .default-subscription-price {
          display: flex;
          margin-left: 20px;
          .badge-free {
            background-color: rgba(255, 100, 30, 0.12);
            margin-left: 20px;
            padding: 5px;
          }
        }
        .button {
          width: 95%;
          text-align: center;
        }
      }
    }
  }

  .header-right {
    width: 40%;
  }
}
</style>
